Subject: Re: [bug#77960] python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11

From: Nicolas Graves <[email-masked]>
Date: Tue, 22 Apr 2025 13:05:11 +0200

Looks like Guillaume managed to fix python-mox3 manually, let's drop the
patch removing it.

On the zeroc's side, IIUC, the omero team uses custom versions such as
[1].  They probably work with [email-masked], so I'll try to create a
python-zeroc-ice-for-omero-blitz package. 

[1]: https://github.com/glencoesoftware/zeroc-ice-py-linux-x86_64

On 2025-04-22 12:20, Nicolas Graves wrote:

> This one is tough.
>
> After some investigation : currently we can't regenerate the ice code in
> Guix.  The ice code comes auto-generated from omero-blitz [1].  The
> issue is that the .ice code producing the ice python code is not
> there.  Best guess is that it is itself generated from there [2],
> which most likely requires Gradle and a lot of java we don't have.
>
> This is too had for this python-team release IMO.  Suggestion: We
> either keep that failing they decide to finally upgrade their ice
> version upstream, or we remove the package from current Guix.
>
> WDYT?
>
> [1]: https://artifacts.openmicroscopy.org/ui/packages/gav:%2F%2Forg.openmicroscopy:omero-blitz?name=omero-blitz&type=packages
> [2]: https://github.com/ome/omero-blitz
>
>
> On 2025-04-21 16:26, Sharlatan Hellseher wrote:
>
>> Hi,
>>
>> While applying <https://issues.guix.gnu.org/77895> I've noticed we still
>> need python-mox3 for python-omero-py but it fails to build due to known
>> issue with zero-c-ice-3.6 supporting Python 3.11.
>>
>> What would our strategy here?
>>
>> No eval.h in python 3.11: <https://github.com/zeroc-ice/ice/issues/1393>
>> zeroc-ice fails to build wheel: <https://github.com/ome/omero-py/issues/360>
>>
>> --
>> Oleg

-- 
Best regards,
Nicolas Graves